package com.gic.haoban.manage.service.entity.contact;

import java.util.Date;
import java.io.Serializable;

/**
 * 建联日志表(TabContactLog)实体类
 *
 * @author TONGYI Lingma
 * @since 2024-09-27 16:09:38
 */
public class TabContactLog implements Serializable {
    private static final long serialVersionUID = 973688857967269973L;
    /**
     * 主键id
     */
    private Long logId;
    /**
     * 会员id
     */
    private String memberId;
    /**
     * 导购id
     */
    private String clerkId;
    /**
     * 导购code
     */
    private String clerkCode;
    /**
     * 导购名称
     */
    private String clerkName;
    /**
     * 门店id
     */
    private String storeId;
    /**
     * 门店code
     */
    private String storeCode;
    /**
     * 建联状态 1是0否
     */
    private Integer contactStatus;
    /**
     * 建联时间
     */
    private Date contactTime;
    /**
     * 建联周期
     */
    private Integer contactCycle;
    /**
     * 是否周期内首次建联1是0否
     */
    private Integer contactCycleFirst;
    /**
     * 成为潜客时间
     */
    private Date potentialTime;

    /**
     * 潜客分
     */
    private Integer potentialScore;

    /**
     * 来源日志id
     */
    private Long sourceLogId;

    /**
     * 来源类型 1潜客（0001）2机会人群（0010）
     */
    private Integer sourceType;

    /**
     * 业务类型 1潜客（0001）2机会人群（0010）
     */
    private Integer bizType;

    /**
     * 业务冗余数据
     */
    private String bizData;

    /**
     * 跟进记录组
     */
    private String followTypes;
    /**
     * 企业id
     */
    private String enterpriseId;
    /**
     * 是否删除
     */
    private Integer deleteFlag;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;

    public Long getLogId() {
        return logId;
    }

    public void setLogId(Long logId) {
        this.logId = logId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public Integer getContactStatus() {
        return contactStatus;
    }

    public void setContactStatus(Integer contactStatus) {
        this.contactStatus = contactStatus;
    }

    public Date getContactTime() {
        return contactTime;
    }

    public void setContactTime(Date contactTime) {
        this.contactTime = contactTime;
    }

    public Integer getContactCycle() {
        return contactCycle;
    }

    public void setContactCycle(Integer contactCycle) {
        this.contactCycle = contactCycle;
    }

    public Integer getContactCycleFirst() {
        return contactCycleFirst;
    }

    public void setContactCycleFirst(Integer contactCycleFirst) {
        this.contactCycleFirst = contactCycleFirst;
    }

    public Date getPotentialTime() {
        return potentialTime;
    }

    public void setPotentialTime(Date potentialTime) {
        this.potentialTime = potentialTime;
    }

    public Integer getPotentialScore() {
        return potentialScore;
    }

    public void setPotentialScore(Integer potentialScore) {
        this.potentialScore = potentialScore;
    }

    public Integer getSourceType() {
        return sourceType;
    }

    public void setSourceType(Integer sourceType) {
        this.sourceType = sourceType;
    }

    public Long getSourceLogId() {
        return sourceLogId;
    }

    public void setSourceLogId(Long sourceLogId) {
        this.sourceLogId = sourceLogId;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public String getBizData() {
        return bizData;
    }

    public void setBizData(String bizData) {
        this.bizData = bizData;
    }

    public String getFollowTypes() {
        return followTypes;
    }

    public void setFollowTypes(String followTypes) {
        this.followTypes = followTypes;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}